QXmpp: QXmppJingleRtpEncryption Class Reference

QXmpp Version: 1.14.4

Loading...
Searching...
No Matches
QXmppJingleRtpEncryption Class Reference

The QXmppJingleRtpEncryption class represents the XEP-0167: Jingle RTP Sessions "encryption" element used for SRTP negotiation. More...

## Public Member Functions
| QXmppJingleRtpEncryption ()
bool | isRequired () const
void | setRequired (bool isRequired)
QVector< QXmppJingleRtpCryptoElement > | cryptoElements () const
void | setCryptoElements (const QVector< QXmppJingleRtpCryptoElement > &cryptoElements)

## Static Public Member Functions
static bool | isJingleRtpEncryption (const QDomElement &element)

## Detailed Description

The QXmppJingleRtpEncryption class represents the XEP-0167: Jingle RTP Sessions "encryption" element used for SRTP negotiation.

Since
  QXmpp 1.5

## Constructor & Destructor Documentation

## ◆ QXmppJingleRtpEncryption()

QXmppJingleRtpEncryption::QXmppJingleRtpEncryption | ( |  | ) |

Constructs a Jingle RTP encryption.

## Member Function Documentation

## ◆ cryptoElements()

QVector< QXmppJingleRtpCryptoElement > QXmppJingleRtpEncryption::cryptoElements | ( |  | ) | const

Returns the crypto elements used for encryption via SRTP.

Returns
  the crypto elements

## ◆ isJingleRtpEncryption()

bool QXmppJingleRtpEncryption::isJingleRtpEncryption | ( | const QDomElement & | element | ) |
| static

Determines whether the given DOM element is an RTP encryption element.

Parameters

  element | DOM element being checked

Returns
  whether element is an RTP encryption element

## ◆ isRequired()

bool QXmppJingleRtpEncryption::isRequired | ( |  | ) | const

Returns whether encryption via SRTP is required.

Returns
  whether encryption is required

## ◆ setCryptoElements()

void QXmppJingleRtpEncryption::setCryptoElements | ( | const QVector< QXmppJingleRtpCryptoElement > & | cryptoElements | ) |

Sets the crypto elements used for encryption via SRTP.

Parameters

  cryptoElements | the crypto elements

## ◆ setRequired()

void QXmppJingleRtpEncryption::setRequired | ( | bool | isRequired | ) |

Sets whether encryption via SRTP is required.

Parameters

  isRequired | whether encryption is required

The documentation for this class was generated from the following files:

- QXmppJingleData.h
- QXmppJingleData.cpp